Bug 1270316 - [abrt] tinyca2: emission_find(): perl killed by SIGSEGV
[abrt] tinyca2: emission_find(): perl killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tinyca2 (Show other bugs)
22
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Peter Hanecak
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b0e8adba8bf0511bee2a43e21f8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-09 11:03 EDT by Michael
Modified: 2016-07-19 16:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:39:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (116.72 KB, text/plain)
2015-10-09 11:03 EDT, Michael
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-09 11:03 EDT, Michael
no flags Details
File: core_backtrace (4.66 KB, text/plain)
2015-10-09 11:03 EDT, Michael
no flags Details
File: dso_list (9.22 KB, text/plain)
2015-10-09 11:03 EDT, Michael
no flags Details
File: environ (1.36 KB, text/plain)
2015-10-09 11:03 EDT, Michael
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-09 11:03 EDT, Michael
no flags Details
File: maps (45.94 KB, text/plain)
2015-10-09 11:03 EDT, Michael
no flags Details
File: mountinfo (3.45 KB, text/plain)
2015-10-09 11:03 EDT, Michael
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-09 11:03 EDT, Michael
no flags Details
File: open_fds (443 bytes, text/plain)
2015-10-09 11:03 EDT, Michael
no flags Details
File: proc_pid_status (1003 bytes, text/plain)
2015-10-09 11:03 EDT, Michael
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-10-09 11:03 EDT, Michael
no flags Details

  None (edit)
Description Michael 2015-10-09 11:03:34 EDT
Description of problem:
i will open a (exist) CA - tinyca crashes

Version-Release number of selected component:
tinyca2-0.7.6-0.16.20070611.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/perl -w /usr/bin/tinyca2
crash_function: emission_find
executable:     /usr/bin/perl
global_pid:     2774
kernel:         4.1.8-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 emission_find at gsignal.c:761
 #4 gtk_object_dispose at gtkobject.c:421
 #6 XS_Glib__Object_DESTROY at GObject.xs:1297
 #7 Perl_pp_entersub at pp_hot.c:2794
 #8 Perl_call_sv at perl.c:2775
 #9 S_curse at sv.c:6704
 #10 Perl_sv_clear at sv.c:6326
 #11 Perl_sv_free2 at sv.c:6805
 #12 S_visit at sv.c:485
 #13 Perl_sv_clean_objs at sv.c:640
Comment 1 Michael 2015-10-09 11:03:38 EDT
Created attachment 1081365 [details]
File: backtrace
Comment 2 Michael 2015-10-09 11:03:40 EDT
Created attachment 1081366 [details]
File: cgroup
Comment 3 Michael 2015-10-09 11:03:41 EDT
Created attachment 1081367 [details]
File: core_backtrace
Comment 4 Michael 2015-10-09 11:03:43 EDT
Created attachment 1081368 [details]
File: dso_list
Comment 5 Michael 2015-10-09 11:03:44 EDT
Created attachment 1081369 [details]
File: environ
Comment 6 Michael 2015-10-09 11:03:45 EDT
Created attachment 1081370 [details]
File: limits
Comment 7 Michael 2015-10-09 11:03:47 EDT
Created attachment 1081371 [details]
File: maps
Comment 8 Michael 2015-10-09 11:03:49 EDT
Created attachment 1081372 [details]
File: mountinfo
Comment 9 Michael 2015-10-09 11:03:50 EDT
Created attachment 1081373 [details]
File: namespaces
Comment 10 Michael 2015-10-09 11:03:51 EDT
Created attachment 1081374 [details]
File: open_fds
Comment 11 Michael 2015-10-09 11:03:53 EDT
Created attachment 1081375 [details]
File: proc_pid_status
Comment 12 Michael 2015-10-09 11:03:54 EDT
Created attachment 1081376 [details]
File: var_log_messages
Comment 13 Peter Hanecak 2015-10-13 16:47:41 EDT
Might be a related to bug 1266557 and bug 1204440 via call to gtk_object_dispose at gtkobject.c:421 (/usr/lib64/libgtk-x11-2.0.so.0.2400.28).

Is this happening always or only sometimes?
Comment 14 Peter Hanecak 2015-10-26 17:45:20 EDT
I've installed clean F22 Workstation and launched TinyCA2. After that I've created test CA, test cert. request, signed it and so far all OK.

But after selecting CA > Exit, oops occurred, matching what was submitted here.

After opening TinyCA2 again and clicking here and there, again all seems OK.

Another oops occurs again after CA > Exit.

So, this is easily reproducibly.

Now harder part: This does not occur on Fedora 21 but does occur on Fedora 22:

On Fedora 21:

$ rpm -q glib2 gtk2 perl perl-Glib perl-libs tinyca2
glib2-2.42.2-1.fc21.x86_64
gtk2-2.24.28-1.fc21.x86_64
perl-5.18.4-310.fc21.x86_64
perl-Glib-1.305-2.fc21.x86_64
perl-libs-5.18.4-310.fc21.x86_64
tinyca2-0.7.6-0.15.20070611.fc21.noarch

On Fedora 22:

$ rpm -q glib2 gtk2 perl perl-Glib perl-libs tinyca2
glib2-2.44.1-1.fc22.x86_64
gtk2-2.24.28-1.fc22.x86_64
perl-5.20.2-325.fc22.x86_64
perl-Glib-1.310-2.fc22.x86_64
perl-libs-5.20.2-325.fc22.x86_64
tinyca2-0.7.6-0.16.20070611.fc22.noarch


I've suspected gtk2 before (see my previous comment regarding gtkobject.c:421 and /usr/lib64/libgtk-x11-2.0.so.0.2400.28). Now, I'm not that sure, as versions for tinyca2 and gtk2 are same on both F21 and F22.

But, suspects now are either perl or glib2. TinyCA2 may be "safe", given that FAF is reporting same backtrace also in gmusicbrowser - see https://retrace.fedoraproject.org/faf/problems/1273563/ .

I.e. this bug seems to be related to (even duplicate of) bug 1225131 and bug 1274072 .

Michal, please confirm or add if something is occurring differently at your side.
Comment 15 Fedora End Of Life 2016-07-19 16:39:58 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.